Name: ovirt-engine-sdk-python
Version: 3.6.9.1
Release: 1%{dist}
Summary: oVirt Engine Software Development Kit (Python)
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org

# git clone git://gerrit.ovirt.org/ovirt-engine-sdk
# cd ovirt-engine-sdk
# git archive --prefix ovirt-engine-sdk-python-3.6.9.1/ 3.6.9.1 | xz > ovirt-engine-sdk-python-3.6.9.1.tar.xz
Source: ovirt-engine-sdk-python-%{version}.tar.xz

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildArch: noarch

Requires: python
Requires: python-lxml
Requires: python-pycurl >= 7.19.0

Provides:  ovirt-engine-sdk = %{version}-%{release}
Obsoletes: ovirt-engine-sdk < 3.3.0.6

%description
This package contains The oVirt-Engine Software Development Kit.
With this package, custom software can be built for oVirt-Engine.

%prep
%setup -q

# Remove the shebang from the params.py file, as this file isn't intended as an
# executable script:
sed -i 1d src/ovirtsdk/xml/params.py

%build
%py2_build

%install
%py2_install

%files
%doc AUTHORS.md
%doc README.md
%license LICENSE.txt
%{python2_sitelib}/*

%changelog
* Tue Nov 15 2016 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.9.1-1
- Update to upstream 3.6.9.1.
- Fix RSDL for updating cluster policy #1315657.
- Add support for URL parameters in actions #1311495.
- Add support to stop Gluster services #1303539.
- Fix the version capabilities object #1326729.
- Don't require import of brokers when using only parameters #1333889.
- Add support for deleting template NICs #1331068.
- Document VM pool update options #1318703.
- Allow passing of scheduling policy name for cluster update #1315657.
- Accept Unicode passwords #1365910.

* Thu Feb 11 2016 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.3.0-1
- Update to upstream 3.6.3.0.
- Fix RSDL for adding cluster #1279159.
- Explicitly select version 3 of the API.
- Add disk format and allocation policy to import VM #1296047.
- Fix RSDL metadata for provisioned_size #1290012.
- Document the use of All-Content in clusters #1287688.
- VM pools can use use_latest_template_version #1284596.
- Add support for matrix parameters to "add" methods #1282770.
- Add support for SR-IOV #1231507.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.0.3-1
- Update to upstream 3.6.0.3.
- Added support for engine version 3.6.
- Add support for Kerberos authentication #1145234.
- Add support for VM pool type #1244841.
- Add support for user SSH public keys.
- Avoid clashes with the "export" method used by generateDS.py #1167851.
- Don't use deprecated DefaultHttpClient #1255078.
- Get provider certificates from user instead of from backend #1255862.
- Improvements of the host networking API #1136329.
- Report host network QoS also in host NIC and network #1249654.

* Thu Sep 3 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.4.0-1
- Update to upstream 3.5.4.0.
- The "isattached" action should return an action object #1234937.
- Add principal and namespace parameters to users and groups #1188176.
- Added All-Content support to hosts #1194185.
- Added isattached action to storage domain #1179246.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 21 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.1.0-1
- Update to upstream 3.5.1.0.
- Added support for the operations to move, copy and export disks using
  the top level disks collection #1169376.
- Replaced storage_manager with spm #1146457.
- Added support for reconfigure firewall (override_iptables) to the host
  installation action #1179613.
- Added support for importing block storage domains #1181681.
- Fixed support for listing unregistered VMs #1148715.
- Added support for setting memory ballooning #1149188.
- Added support for specifying cluster during migration #1150191.
- Added snapshot id to documentation of preview action #1150071.
- Added custom_properties to templates #1166632.
- Added logical_name to disks #1063597.
- Apply filter by name/alias after get #1155678.

* Tue Nov 4 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.7-1
- Update to upstream version 3.5.0.7.
- Added support for watchdog action and model #1129840.
- Added support for network QoS.
- Added support to enable/disable sound card to VM, pool and template.
- Added support for QoS, including CPU and disk profiles.
- Added support for iSCSI bonds.
- Disconnect at constructor only if proxy found #996021.
- Revert patch 0525e9d #1122546.
- Update API fails in SDK & CLI #1122546.
- Fix naming conflict #1120502.
- Fix parameters of add DataCenter #1104085.
- Fix update VM optional parameters #1082594.
- Calculate singulars correctly #1114655.dded NUMA support.
- Added actions to copy and move disks #1097681.
- Added file_transfer_enabled and copy_paste_enabled elements to Display.
- Added protocol element to Host.
- Added support for Gluster volume profiling.
- Added support for instance types.
- Added support for quota.id parameter for disks.
- Added support for random number generator device.
- Added support for scheduling policies.
- Added support storage domains disks sub-collection.
- Added support to register VMs and templates.
- Ignore errors when cleaning old connection #1116009.
- Replace decorators before marshal #1024696.
- Support X-Ovirt-Expect header #1093784.
- Update to version 2.12a of generateDS.py #1091688.
- Added action to undelete events.
- Added base_interface to host_nic.
- Added boot_menu to VM and template.
- Added custom properties to host_nic.
- Added disksnapshots sub-collection to storagedomains.
- Added domain_entry_id to users and groups.
- Added sessions sub-collection to vms.
- Added support for Gluster volume statistics.
- Added support for VM and template custom serial numbers.
- Added support for bookmarks.
- Added support for deleting VM disk snapshots.
- Added support for reporting VM SELinux configuration.
- Added support for reporting VM kdump configuration.
- Added support for reporting architecture capabilities.
- Added tags sub-collection to templates.

* Fri Jul 18 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.3.0-1
- Update to upstream version 3.4.0.3.
- Add expect and correlation_id parameters to network label related
  methods #1101531.
- Added maintenance operation to VM.
- Added hosted_engine element to Host.
- Added labels to Network.
- Added labels to HostNIC.
- Added actions to preview, commit and undo snapshots.
- Added support for affinity groups.
- Added support to import a VM as template.
- Removed external_id from users and groups.
- Renamed cloud_init.hostname to cloud_init.host.address.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.7-1
- Update to upstream version 3.4.0.7.
- Add support for filtering kwargs based on attributes.
- Add check of SSL server name.
- No new lines in basic auth token #1085837.

* Thu Mar 27 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.6-1
- Update to upstream version 3.4.0.6 in order to support release 3.4 of
  the oVirt project.

* Wed Oct 09 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.3.0.7-1
- Update to upstream 3.3.0.7

* Mon Sep 16 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.3.0.6-1
- Update to upstream 3.3.0.6
- Renamed package from ovirt-engine-sdk to ovirt-engine-sdk-python
- Spec cleanups suggested by Christopher Meng <cickumqt@gmail.com>
- Avoid duplicated files
- Remove shebang from params.py
- Put all docs files in one line
- Fix Provides and Obsoletes required for renaming the package

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 14 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.11-1
- Update to upstream 3.2.0.11

* Mon Mar 11 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.10-1
- Update to upstream 3.2.0.10

* Wed Feb 20 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.9-1
- Update to upstream 3.2.0.9

* Wed Jan 30 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.8-1
- Update to upstream 3.2.0.8
- Fix for #905359

* Thu Sep 20 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0.2-1
- Update to upstream 3.2.0.2

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 7 2012 Ofer Schreiber <oschreib@redhat.com> - 1.3-1
- rebuilt for new upstream 1.3

* Tue Feb 7 2012 Michael Pasternak <mpastern@redhat.com> - 1.3
- rebased to latest ovirt-engine-api:
  - added update() for role resource
  - various parameter wrapping improvements

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- use direct URI on get(id=x) rather than search pattern
- extention for #782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- add connectivity check and disconnect methods for #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
